org.apache.lucene.codecs

## Class StoredFieldsReader

- java.lang.Object
- - org.apache.lucene.codecs.StoredFieldsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable
  Direct Known Subclasses:
    CompressingStoredFieldsReader, Lucene40StoredFieldsReader

      public abstract class StoredFieldsReader
      extends Object
      implements Cloneable, Closeable

  Codec API for reading stored fields.

  You need to implement `visitDocument(int, StoredFieldVisitor)` to read the stored fields for a document, implement `clone()` (creating clones of any IndexInputs used, etc), and `Closeable.close()`

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StoredFieldsReader()` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract StoredFieldsReader` | `clone()`
    `abstract void` | `visitDocument(int n, StoredFieldVisitor visitor)` Visit the stored fields for document `n`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Constructor Detail

    - #### StoredFieldsReader

          protected StoredFieldsReader()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### visitDocument

          public abstract void visitDocument(int n,
                           StoredFieldVisitor visitor)
                                      throws IOException

      Visit the stored fields for document `n`
      Throws:
        `IOException`

    - #### clone

          public abstract StoredFieldsReader clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.